[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#540481: marked as done (unison has ocaml-base as dependency which has x11 as dependency...thats not necessarry)

Your message dated Thu, 25 Feb 2010 01:17:11 +0000
with message-id <E1NkSLn-0004f7-8s@ries.debian.org>
and subject line Bug#540481: fixed in unison 2.27.57-4
has caused the Debian Bug report #540481,
regarding unison has ocaml-base as dependency which has x11 as dependency...thats not necessarry
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

540481: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=540481
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: unison
Version: 2.27.57-1+b1
Severity: normal

-- System Information:
Debian Release: 5.0.2
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: armel (armv5tel)

Kernel: Linux 2.6.30-1-kirkwood
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages unison depends on:
ii  libc6                     2.7-18         GNU C Library: Shared libraries
ii  libgcc1                   1:4.3.2-1.1    GCC support library
ii  libncurses5               5.7+20081213-1 shared libraries for terminal hand
ii  ocaml-base [ocaml-base-3. 3.10.2-3       Runtime system for OCaml bytecode 

Versions of packages unison recommends:
ii  openssh-client [ssh-client]   1:5.1p1-5  secure shell client, an rlogin/rsh

unison suggests no packages.

-- no debconf information
unison has ocaml-base as dependency which has x11 as dependency...thats 
not necessarry
 I am using Debian GNU/Linux ARM-Architecture
here is a mail from the package-maintainer:
On Sat, Aug 08, 2009 at 10:46:48AM +0200, Stefan Lachinger wrote:
i hope i dont embarass u with this question!
No at all.
i just installed debian on my plug computer (arm-prozessor). when i
try to install unison aptitude always wants to install x11 as
dependency (its a dependency of ocaml-base). is it really needed to
have ocaml-base as dependency for unison?
Excellent question, and answer is: this is a bug
Please fill a bug report against unison package, with a copy of this
If you are using stable, I recommend you to rebuild unison replacing
DEB_DH_GENCONTROL_ARGS += -VF:OCamlInterpreter="ocaml-base-$(OCAML_ABI)"
in debian/rules
Sylvain Le Gall
ps: if you are using unstable, you will get updated package in the near

--- End Message ---
--- Begin Message ---
Source: unison
Source-Version: 2.27.57-4

We believe that the bug you reported is fixed in the latest version of
unison, which is due to be installed in the Debian FTP archive:

  to main/u/unison/unison-gtk_2.27.57-4_amd64.deb
  to main/u/unison/unison_2.27.57-4.diff.gz
  to main/u/unison/unison_2.27.57-4.dsc
  to main/u/unison/unison_2.27.57-4_amd64.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 540481@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Sylvain Le Gall <gildor@debian.org> (supplier of updated unison package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Thu, 25 Feb 2010 01:00:47 +0000
Source: unison
Binary: unison unison-gtk
Architecture: source amd64
Version: 2.27.57-4
Distribution: unstable
Urgency: low
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Changed-By: Sylvain Le Gall <gildor@debian.org>
 unison     - A file-synchronization tool for Unix and Windows
 unison-gtk - A file-synchronization tool for Unix and Windows with GTK+ interf
Closes: 349782 481070 497729 540481 541700 551199 570910
 unison (2.27.57-4) unstable; urgency=low
   * Merge changes from unison2.27.57:
     * Update Standards-Version to 3.8.4 (no change)
     * Stop using dh_desktop
     * Use dh_ocaml 0.9 features (auto dependencies)
   * unison binaries are custom executables, so we can remove Depends on any
     ocaml-base* packages (Closes: #540481)
   * Add bash_completion (Closes: #349782, #481070)
   * Use the full path to access icon in .desktop (Closes: #541700)
   * Patch from unison trunk to remove 'Connected ...' message even when
     -silent is set (Closes: #497729, #551199)
   * Auto generate conflicts with unisonX.Y.Z or unison (X.Y.Z) package
     (Closes: #570910)
   * Enhance templating for unison and unison-gtk common files
 2a06059aeac7d4b6ea32691196e36473813d195e 1393 unison_2.27.57-4.dsc
 633a50eac9d142a1a67d296d79c357891ea5b21d 17531 unison_2.27.57-4.diff.gz
 29daaafbe62e43dd64a3817c658945fd7695fa92 632364 unison_2.27.57-4_amd64.deb
 f179cdb3901455140adac26cf6fb50b8db991c81 1166712 unison-gtk_2.27.57-4_amd64.deb
 cfad0967b3a545828daad23a41578f22195a792ee039da40e473ffedf242b3b0 1393 unison_2.27.57-4.dsc
 35fd8330f0a7e0b6639e4e3adf97d2a438f0ebc252d6bed1e6cfa54c233b220d 17531 unison_2.27.57-4.diff.gz
 81c07fde1e7712a7f9c0d8cf1669936bdc5868bb8a5a6b2adf983c30ca20471e 632364 unison_2.27.57-4_amd64.deb
 cc7a2fb8656b57e83cf8631cf364224dcfb9c09cd11bbfb7db6653a47f48d232 1166712 unison-gtk_2.27.57-4_amd64.deb
 30c4de7a61b2252fa3f6c66d9ca50702 1393 utils optional unison_2.27.57-4.dsc
 0ee99f90375a1795cf40ba3134724932 17531 utils optional unison_2.27.57-4.diff.gz
 87e6de1aef77f1f34c77d7a5b7b1d8ae 632364 utils optional unison_2.27.57-4_amd64.deb
 febec1a7e2525842a513ec4760b6be25 1166712 utils optional unison-gtk_2.27.57-4_amd64.deb

Version: GnuPG v1.4.10 (GNU/Linux)


--- End Message ---

Reply to: